package com.dky.utils.result;

import java.util.Arrays;
import java.util.List;

public class MatchedDeviceResult {
    private List<MatchedDevice> matchedDevices;
    private double totalPriceInTenThousand;  // 总价，单位：万元

    public MatchedDeviceResult(List<MatchedDevice> matchedDevices, double totalPriceInTenThousand) {
        this.matchedDevices = matchedDevices;
        this.totalPriceInTenThousand = totalPriceInTenThousand;
    }

    public List<MatchedDevice> getMatchedDevices() {
        return matchedDevices;
    }

    public void setMatchedDevices(List<MatchedDevice> matchedDevices) {
        this.matchedDevices = matchedDevices;
    }

    public double getTotalPriceInTenThousand() {
        return totalPriceInTenThousand;
    }

    public void setTotalPriceInTenThousand(double totalPriceInTenThousand) {
        this.totalPriceInTenThousand = totalPriceInTenThousand;
    }

    @Override
    public String toString() {
        return "Result{" +
                "matchedDevices=" + Arrays.toString(matchedDevices.toArray() )+
                ", totalPriceInTenThousand=" + totalPriceInTenThousand +
                '}';
    }

}
